summaryrefslogtreecommitdiff
path: root/commit.d/99push
diff options
context:
space:
mode:
authorJoey Hess <joeyh@debian.org>2013-07-31 11:33:45 -0400
committerJoey Hess <joeyh@debian.org>2013-07-31 11:33:45 -0400
commitfdeec420b54e252e611c353ce39fe61c924e3e7d (patch)
tree2a1974e6c8cc56263e3903f49ea2a841ea895c6d /commit.d/99push
etckeeper (1.7) unstable; urgency=low
* Fix hilarious typo hardcoding my name. Closes: #718425 # imported from the archive
Diffstat (limited to 'commit.d/99push')
-rwxr-xr-xcommit.d/99push8
1 files changed, 8 insertions, 0 deletions
diff --git a/commit.d/99push b/commit.d/99push
new file mode 100755
index 0000000..9a5d81e
--- /dev/null
+++ b/commit.d/99push
@@ -0,0 +1,8 @@
+#!/bin/sh
+if [ -n "$PUSH_REMOTE" ]; then
+ if [ "$VCS" = git ] && [ -d .git ]; then
+ git push "$PUSH_REMOTE" master || true
+ else
+ echo "PUSH_REMOTE not yet supported for $VCS" >&2
+ fi
+fi